Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions
Argus::BayerTuple< T > Struct Template Reference

BayerTuple template class. More...

`#include <Types.h>`

Inheritance diagram for Argus::BayerTuple< T >:

List of all members.

## Public Member Functions

| BayerTuple ()
| BayerTuple (T r, T gEven, T gOdd, T b)
T & | r ()
const T & | r () const
T & | gEven ()
const T & | gEven () const
T & | gOdd ()
const T & | gOdd () const
T & | b ()
const T & | b () const
Public Member Functions inherited from Argus::Tuple< BAYER_CHANNEL_COUNT, T >
bool | operator== (const Tuple< N, T > &other) const
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Additional Inherited Members

Public Attributes inherited from Argus::Tuple< BAYER_CHANNEL_COUNT, T >
T | data [N]

## Detailed Description

### template<typename T>
struct Argus::BayerTuple< T >

BayerTuple template class.

This is a Tuple specialization containing 4 elements corresponding to the Bayer color channels: R, G_EVEN, G_ODD, and B. Values can be accessed using the named methods or subscript indexing using the Argus::BayerChannel enum.

Definition at line 588 of file Types.h.

## Constructor & Destructor Documentation

template<typename T>

Argus::BayerTuple< T >::BayerTuple | ( |  | ) |

inline

Definition at line 590 of file Types.h.

template<typename T>

Argus::BayerTuple< T >::BayerTuple | ( | T | r,
|  | T | gEven,
|  | T | gOdd,
|  | T | b
| ) |  |

inline

Definition at line 591 of file Types.h.

## Member Function Documentation

template<typename T>

T& Argus::BayerTuple< T >::b | ( |  | ) |

inline

Definition at line 605 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::b | ( |  | ) | const

inline

Definition at line 606 of file Types.h.

template<typename T>

T& Argus::BayerTuple< T >::gEven | ( |  | ) |

inline

Definition at line 601 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::gEven | ( |  | ) | const

inline

Definition at line 602 of file Types.h.

template<typename T>

T& Argus::BayerTuple< T >::gOdd | ( |  | ) |

inline

Definition at line 603 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::gOdd | ( |  | ) | const

inline

Definition at line 604 of file Types.h.

template<typename T>

T& Argus::BayerTuple< T >::r | ( |  | ) |

inline

Definition at line 599 of file Types.h.

template<typename T>

const T& Argus::BayerTuple< T >::r | ( |  | ) | const

inline

Definition at line 600 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h